package com.agri.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.agri.system.domain.SysAutoTerm;

/**
 * 卷膜运行条件Mapper接口
 * 
 * @author lld
 * @date 2026-02-27
 */
public interface SysAutoTermMapper extends BaseMapper<SysAutoTerm>
{
    /**
     * 查询卷膜运行条件
     * 
     * @param id 卷膜运行条件主键
     * @return 卷膜运行条件
     */
    public SysAutoTerm selectSysAutoTermById(String id);

    /**
     * 查询卷膜运行条件列表
     * 
     * @param sysAutoTerm 卷膜运行条件
     * @return 卷膜运行条件集合
     */
    public List<SysAutoTerm> selectSysAutoTermList(SysAutoTerm sysAutoTerm);

    /**
     * 新增卷膜运行条件
     * 
     * @param sysAutoTerm 卷膜运行条件
     * @return 结果
     */
    public int insertSysAutoTerm(SysAutoTerm sysAutoTerm);

    /**
     * 修改卷膜运行条件
     * 
     * @param sysAutoTerm 卷膜运行条件
     * @return 结果
     */
    public int updateSysAutoTerm(SysAutoTerm sysAutoTerm);

    /**
     * 删除卷膜运行条件
     * 
     * @param id 卷膜运行条件主键
     * @return 结果
     */
    public int deleteSysAutoTermById(String id);

    /**
     * 批量删除卷膜运行条件
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysAutoTermByIds(String[] ids);
}
